gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Functions

Contents

- Methods
  - focusTrackerNotify
  - getBinaryAge
  - getDefaultRegistry
  - getFocusObject
  - getInterfaceAge
  - getMajorVersion
  - getMicroVersion
  - getMinorVersion
  - getRoot
  - getToolkitName
  - getToolkitVersion
  - getVersion
  - removeFocusTracker
  - removeGlobalEventListener
  - removeKeyEventListener

Description

Synopsis

- focusTrackerNotify :: (HasCallStack, MonadIO m, IsObject a) => a -> m ()
- getBinaryAge :: (HasCallStack, MonadIO m) => m Word32
- getDefaultRegistry :: (HasCallStack, MonadIO m) => m Registry
- getFocusObject :: (HasCallStack, MonadIO m) => m Object
- getInterfaceAge :: (HasCallStack, MonadIO m) => m Word32
- getMajorVersion :: (HasCallStack, MonadIO m) => m Word32
- getMicroVersion :: (HasCallStack, MonadIO m) => m Word32
- getMinorVersion :: (HasCallStack, MonadIO m) => m Word32
- getRoot :: (HasCallStack, MonadIO m) => m Object
- getToolkitName :: (HasCallStack, MonadIO m) => m Text
- getToolkitVersion :: (HasCallStack, MonadIO m) => m Text
- getVersion :: (HasCallStack, MonadIO m) => m Text
- removeFocusTracker :: (HasCallStack, MonadIO m) => Word32 -> m ()
- removeGlobalEventListener :: (HasCallStack, MonadIO m) => Word32 -> m ()
- removeKeyEventListener :: (HasCallStack, MonadIO m) => Word32 -> m ()

# Methods

## focusTrackerNotify

focusTrackerNotify Source #

Arguments

:: (HasCallStack, MonadIO m, IsObject a) |
=> a | `object`: an `Object`
-> m () |

Deprecated: (Since version 2.9.4)Focus tracking has been dropped as a featureto be implemented by ATK itself. As Object::focusEvent wasdeprecated in favor of a Object::stateChange signal, in orderto notify a focus change on your implementation, you can use`objectNotifyStateChange` instead.

Cause the focus tracker functions which have been specified to be executed for the object.

## getBinaryAge

getBinaryAge Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the binary age of the ATK library

Returns the binary age as passed to libtool when building the ATK library the process is running against.

Since: 2.8

## getDefaultRegistry

getDefaultRegistry Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Registry | Returns: a default implementation of the `ObjectFactory`/type registry

Gets a default implementation of the `ObjectFactory`/type registry. Note: For most toolkit maintainers, this will be the correct registry for registering new `Object` factories. Following a call to this function, maintainers may call `registrySetFactoryType` to associate an `ObjectFactory` subclass with the GType of objects for whom accessibility information will be provided.

## getFocusObject

getFocusObject Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Object | Returns: the currently focused object for the current application

Gets the currently focused object.

Since: 1.6

## getInterfaceAge

getInterfaceAge Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the interface age of the ATK library

Returns the interface age as passed to libtool when building the ATK library the process is running against.

Since: 2.8

## getMajorVersion

getMajorVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the major version number of the ATK library

Returns the major version number of the ATK library. (e.g. in ATK version 2.7.4 this is 2.)

This function is in the library, so it represents the ATK library your code is running against. In contrast, the `MAJOR_VERSION` macro represents the major version of the ATK headers you have included when compiling your code.

Since: 2.8

## getMicroVersion

getMicroVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the micro version number of the ATK library

Returns the micro version number of the ATK library. (e.g. in ATK version 2.7.4 this is 4.)

This function is in the library, so it represents the ATK library your code is are running against. In contrast, the `MICRO_VERSION` macro represents the micro version of the ATK headers you have included when compiling your code.

Since: 2.8

## getMinorVersion

getMinorVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the minor version number of the ATK library

Returns the minor version number of the ATK library. (e.g. in ATK version 2.7.4 this is 7.)

This function is in the library, so it represents the ATK library your code is are running against. In contrast, the `MINOR_VERSION` macro represents the minor version of the ATK headers you have included when compiling your code.

Since: 2.8

## getRoot

getRoot Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Object | Returns: the root accessible container for the current application

Gets the root accessible container for the current application.

## getToolkitName

getToolkitName Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Text | Returns: name string for the GUI toolkit implementing ATK for this application

Gets name string for the GUI toolkit implementing ATK for this application.

## getToolkitVersion

getToolkitVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Text | Returns: version string for the GUI toolkit implementing ATK for this application

Gets version string for the GUI toolkit implementing ATK for this application.

## getVersion

getVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Text | Returns: version string for ATK

Gets the current version for ATK.

Since: 1.20

## removeFocusTracker

removeFocusTracker Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Word32 | `trackerId`: the id of the focus tracker to remove
-> m () |

Deprecated: (Since version 2.9.4)Focus tracking has been dropped as a feature to be implemented by ATK itself. If you need focus tracking on your implementation, subscribe to the Object::stateChange "focused" signal.

Removes the specified focus tracker from the list of functions to be called when any object receives focus.

## removeGlobalEventListener

removeGlobalEventListener Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Word32 | `listenerId`: the id of the event listener to remove
-> m () |

`listenerId` is the value returned by `atk_add_global_event_listener` when you registered that event listener.

Toolkit implementor note: ATK provides a default implementation for this virtual method. ATK implementors are discouraged from reimplementing this method.

Toolkit implementor note: this method is not intended to be used by ATK implementors but by ATK consumers.

Removes the specified event listener

## removeKeyEventListener

removeKeyEventListener Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Word32 | `listenerId`: the id of the event listener to remove
-> m () |

`listenerId` is the value returned by `atk_add_key_event_listener` when you registered that event listener.

Removes the specified event listener.